/*
 * @Description: 
 * @Date: 2021-03-09 18:19:26
 * @LastEditors: CK.Zh
 * @LastEditTime: 2021-03-10 15:07:01
 * @FilePath: \NaviKit_EC_stm32\App\Src\th_demo.c
 */
#define LOG_TAG    "TH-Demo"

#include <th_demo.h>
#include "main.h"


const osThreadAttr_t DemoTask1_attributes = {
  .name = "DemoTask1",
  .priority = (osPriority_t) osPriorityLow2,
  .stack_size = 256 * 4
};
const osThreadAttr_t DemoTask2_attributes = {
  .name = "DemoTask2",
  .priority = (osPriority_t) osPriorityLow2,
  .stack_size = 256 * 4
};
void DemoTask1(void *argument){
	uint8_t i=0;
	log_d("Start Demo Task1");
	for(;;){
		osDelay(100);
		log_v("DemoTask1 counter [%d].",i++);
	}
}
void DemoTask2(void *argument){
	uint8_t i=0;
	log_d("Start Demo Task2");
	for(;;){
		osDelay(100);
		log_v("DemoTask2 counter [%d].",i++);
	}
}
